Skip to main content
Resource Center/Resource Pool/Auto-Scaling Group Operations

UpdateAutoScalingVmTemplate

UpdateAutoScalingVmTemplate

PUT/zstack/v1/autoscaling/vmtemplate/{uuid}/actions

Operation ID

UpdateAutoScalingVmTemplate

Since

3.9.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The VM template UUID.

Body Fields

  • name
    String

    Optional. The template name.

  • description
    String

    Optional. The detailed description.

  • vmInstanceName
    String

    Optional. The name of the VM instance.

  • vmInstanceDescription
    String

    Optional. The description of the VM instance.

  • vmInstanceOfferingUuid
    String

    Optional. The instance offering UUID of the VM instance.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    AutoScalingTemplateInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The template type.

    • state
      StringRequired

      The state of the template.

    • systemTags
      ListRequired

      The system tags.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.